//
//  GMCollectionView
//  Gengmei
//
//  Created by Thierry on 1/9/15.
//  Copyright (c) 2015 Wanmeichuangyi. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface GMCollectionView : UICollectionView

@end


@interface UICollectionView (Reuse)
- (void)registerHeader:(Class)headerClass NS_SWIFT_NAME(register(header:));
- (void)registerFooter:(Class)footerClass NS_SWIFT_NAME(register(footer:));
- (void)registerCell:(Class)cellClass NS_SWIFT_NAME(register(cell:));

- (__kindof UICollectionViewCell *)dequeueCell:(Class)cellClass forIndexPath:(NSIndexPath *)indexPath NS_SWIFT_NAME(dequeue(cell:for:));
- (__kindof UICollectionReusableView *)dequeueHeader:(Class)headerClass forIndexPath:(NSIndexPath *)indexPath NS_SWIFT_NAME(dequeue(header:for:));
- (__kindof UICollectionReusableView *)dequeueFooter:(Class)footerClass forIndexPath:(NSIndexPath *)indexPath NS_SWIFT_NAME(dequeue(footer:for:));
@end
